Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7e7361bb-a91f-4653-a1c9-5064b90cfb8f",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "54aa7faf-427e-4113-8337-9c7472bfe298",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "86820c0f-5b8b-478b-9234-3ddd2e1ba040",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "566badee-baad-4f0a-abe2-80223bccabc1",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "1091ce70-136c-4d16-9a53-70cc949e2804",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "f51626ea-f187-4e04-9eab-a85691ab6596",
      "db_currency_id": "b262b22e-39ba-45e2-a551-c941830706ca",
      "db_language_id": "02d9748d-cf80-40a8-b216-2a3fc96e09e4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T21:17:34.5664894+00:00"
    },
    "modified_dateutc": "2026-11-13T21:17:34.5664894+00:00"
  },
  "equipment_family_id": "78558243-17cd-424f-801d-4621372d26ea",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "f7691bcf-d92c-44fc-a6d2-b044097d53ad",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "413a7835-81b1-4835-8974-5d58cc768f53",
    "_parent_code": "sample string 6",
    "sales_organization_id": "1e0f0f34-605f-4622-945d-ca1ed4ff1b00",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "1091ce70-136c-4d16-9a53-70cc949e2804",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "f51626ea-f187-4e04-9eab-a85691ab6596",
      "db_currency_id": "b262b22e-39ba-45e2-a551-c941830706ca",
      "db_language_id": "02d9748d-cf80-40a8-b216-2a3fc96e09e4",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T21:17:34.5664894+00:00"
    },
    "modified_dateutc": "2026-11-13T21:17:34.5664894+00:00"
  },
  "date_in_production_since": "2026-11-13T21:17:34.5664894+00:00",
  "date_out_of_production_since": "2026-11-13T21:17:34.5664894+00:00",
  "date_end_support": "2026-11-13T21:17:34.5664894+00:00",
  "sales_organization_id": "5d3fdc70-7d74-4063-a923-82489defa0dc",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "1091ce70-136c-4d16-9a53-70cc949e2804",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "f51626ea-f187-4e04-9eab-a85691ab6596",
    "db_currency_id": "b262b22e-39ba-45e2-a551-c941830706ca",
    "db_language_id": "02d9748d-cf80-40a8-b216-2a3fc96e09e4",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-13T21:17:34.5664894+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-13T21:17:34.5802185+00:00"
}